org.eclipse.emf.cdo.transfer

## Interface CDOTransferMapping

- All Superinterfaces:
    Comparable<CDOTransferMapping>

      public interface CDOTransferMapping
      extends Comparable<CDOTransferMapping>

  The mapping of a source `element` to a target element in the context of a specific `transfer`.
  Since:
    4.2
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `CDOTransferMapping.Status` Enumerates the possibles values of `getStatus()`.
    `static interface` | `CDOTransferMapping.Visitor` A call-back that is called for a `mapping` and all its `children` when passed into its `accept()` method.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CDOTransferMapping[]` | `NO_CHILDREN`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(CDOTransferMapping.Visitor visitor)`
    `CDOTransferMapping` | `getChild(IPath path)`
    `CDOTransferMapping` | `getChild(String path)`
    `CDOTransferMapping[]` | `getChildren()`
    `IPath` | `getFullPath()`
    `String` | `getName()`
    `CDOTransferMapping` | `getParent()`
    `IPath` | `getRelativePath()`
    `CDOTransferElement` | `getSource()`
    `CDOTransferMapping.Status` | `getStatus()`
    `CDOTransferElement` | `getTarget()`
    `CDOTransfer` | `getTransfer()`
    `CDOTransferType` | `getTransferType()`
    `boolean` | `isDirectory()`
    `boolean` | `isRoot()`
    `void` | `setName(String name)`
    `void` | `setRelativePath(IPath path)`
    `void` | `setRelativePath(String path)`
    `void` | `setTransferType(CDOTransferType transferType)`
    `void` | `unmap()`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Field Detail

    - #### NO_CHILDREN

          static final CDOTransferMapping[] NO_CHILDREN

  - ### Method Detail

    - #### getTransfer

          CDOTransfer getTransfer()

    - #### getSource

          CDOTransferElement getSource()

    - #### getParent

          CDOTransferMapping getParent()

    - #### isRoot

          boolean isRoot()

    - #### isDirectory

          boolean isDirectory()

    - #### getName

          String getName()

    - #### setName

          void setName(String name)

    - #### getRelativePath

          IPath getRelativePath()

    - #### setRelativePath

          void setRelativePath(IPath path)

    - #### setRelativePath

          void setRelativePath(String path)

    - #### accept

          void accept(CDOTransferMapping.Visitor visitor)

    - #### getChildren

          CDOTransferMapping[] getChildren()

    - #### getChild

          CDOTransferMapping getChild(IPath path)

    - #### getChild

          CDOTransferMapping getChild(String path)

    - #### unmap

          void unmap()

    - #### getTransferType

          CDOTransferType getTransferType()

    - #### setTransferType

          void setTransferType(CDOTransferType transferType)

    - #### getFullPath

          IPath getFullPath()

    - #### getStatus

          CDOTransferMapping.Status getStatus()

    - #### getTarget

          CDOTransferElement getTarget()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html